PHP Manual
Prev |  | Next

# mysqli_real_query

(PHP 5)

mysqli_real_query

(no version information, might be only in CVS)

mysqli->real_query() -- Execute an SQL query

## Description

Procedural style

bool mysqli_real_query ( mysqli link, string query )

Object oriented style (method):

class mysqli {
bool real_query ( string query )
}

Executes a single query against the database whose result can then be retrieved or stored using the mysqli_store_result() or mysqli_use_result() functions.

In order to determine if a given query should return a result set or not, see mysqli_field_count().

## Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

`query`

  The query, as a string.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

mysqli_query()
mysqli_store_result()
mysqli_use_result()

Prev | Home | Next
mysqli_real_escape_string | Up | mysqli_report